
Figure - Bug #115046
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT2】【ST】【Tlog】一键清除所有日志功能未生效
2023-01-04 10:59 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-01-04

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0063.X101

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-11

Test Type: ST Root cause: 功能未实现。

Description

【前提条件】

None

【测试步骤】

1、设备烧机后，进入主界面

2、通过*#147#打开tlog，勾选所有日志

3、点击start\stop后，等待日志生成

4、右上角设置按钮，一键清除所有日志功能未生效

5、查看日志是否被删除

【预期结果】

5. 相关日志被删除

【实际结果】

5.一键清除所有日志功能未生效

History

#1 - 2023-01-11 15:25 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD SYSTEM-夏旭 to CD FW-廖涛

#2 - 2023-01-11 15:25 - CD FW-廖涛

- Status changed from RESOLVED to ASSIGNED

#3 - 2023-01-11 20:24 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-11

- Root cause set to 功能未实现。

■ Current conclusion
已完善功能。

■ My analysis

原有功能仅为删除手动收集的日志包，未删除所有日志，功能已完善。

■ Next action

测试验证。

#4 - 2023-01-13 16:36 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0068.X101

验证结果：验证通过

/data/tlog/manual

/data/tlog/persist/

/sdcard/tlog/

/data/tlog_package/

路径下日志均被删除，且/data/tlog/persist/再次自动开始抓日志，手动也可以恢复抓日志

#5 - 2023-01-13 16:36 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
